Skip to main content

List QoS policy groups in a fleet in NetApp Console local deployment

GET /organizations/{organization_id}/fleets/{fleet_id}/qospolicygroups

Lists all QoS policy groups in the specified fleet.

Parameters

Name Type In Required Description

organization_id

string

path

True

Identifier for an organization.

fleet_id

string

path

True

Identifier for a fleet.

count

string

query

False

Indicates if the total number of resources should be returned in the response object.

URL examples: "count=true"

OpenAPI examples: "true"

filter

string

query

False

Specifies which fields should be matched in order to return a resource when listing a collection.

Supported operators:

  • eq - Equality

  • lt/gt - Less than/greater than

  • lte/gte - Less than or equal to/greater than or equal to

URL example: "filter=field%20eq%20%27value%27"

OpenAPI examples: "field eq 'value'"

include

string

query

False

Specifies which fields should be returned when listing a collection.

URL examples: "include=id", "include=id,name"

OpenAPI examples: "id"

limit

string

query

False

Specifies the maximum number of resources to return when listing a collection.

URL examples: "limit=2"

OpenAPI examples: "2"

metadata

string

query

False

Indicates if the metadata should be returned in the response object.

URL examples: "metadata=true"

OpenAPI examples: "true"

orderBy

string

query

False

Indicates the sort order of resources when listing a collection.

URL examples: "orderBy=name", "orderBy=name%20desc"

OpenAPI examples: "name desc"

skip

string

query

False

Specifies the number of resources to skip when listing a collection.

URL examples: "skip=1"

OpenAPI examples: "1"

Response

Status: 200, OK
Name Type Required Description

count

integer

False

Total number of resources in the collection that match the query.

items

array[qospolicygroup_1.0_get_response_body]

True

QoS policy groups in the collection.

Example response
{
  "count": 2,
  "items": [
    {
      "cluster": {
        "id": "4c8d2919-ac4c-4ea7-bf7c-24863d4da94b",
        "name": "cluster-01"
      },
      "fixed": {
        "capacityShared": false,
        "maxThroughputIops": 50000,
        "maxThroughputMbps": 1530,
        "minThroughputIops": 0,
        "minThroughputMbps": 0
      },
      "id": "1cd8a442-86d1-11e0-ae1c-123478563412",
      "metadata": {
        "modificationTimestamp": "2026-06-12T10:39:30.000000Z"
      },
      "name": "qos-fixed-01",
      "objectCount": 30,
      "organizationId": "16c07c0c-666b-4870-9363-764eef9e7160",
      "policyType": "FIXED",
      "svm": {
        "id": "4a7b9e2c-8f5d-4c3a-b1e6-9d2f4c7a8e5b",
        "name": "svm-01"
      },
      "type": "application/vnd.netapp.bxp.qospolicygroup",
      "version": "1.0",
      "workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
    },
    {
      "adaptive": {
        "absoluteMinIops": 500,
        "blockSize": "ANY",
        "expectedIops": 2048,
        "expectedIopsAllocation": "ALLOCATED_SPACE",
        "peakIops": 4096,
        "peakIopsAllocation": "USED_SPACE"
      },
      "cluster": {
        "id": "4c8d2919-ac4c-4ea7-bf7c-24863d4da94b",
        "name": "cluster-01"
      },
      "id": "39ac471f-ff35-11e9-b0f9-005056a7ab52",
      "metadata": {
        "modificationTimestamp": "2026-06-12T13:39:30.000000Z"
      },
      "name": "qos-adaptive-01",
      "objectCount": 0,
      "organizationId": "16c07c0c-666b-4870-9363-764eef9e7160",
      "policyType": "ADAPTIVE",
      "svm": {
        "id": "9c2e5f7a-4b8d-4f1c-a7e3-6d9f2c5e8a1b",
        "name": "svm-02"
      },
      "type": "application/vnd.netapp.bxp.qospolicygroup",
      "version": "1.0",
      "workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
    }
  ]
}

Error

Status: 400, Bad request
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The supplied query parameters are invalid.",
  "status": "400",
  "title": "Invalid query parameters",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 401, Unauthorized
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request is missing the required bearer token.",
  "status": "401",
  "title": "Missing bearer token",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 403, Forbidden
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The requested operation isn't permitted.",
  "status": "403",
  "title": "Operation not permitted",
  "type": "https://bluexp.netapp.io/problems/11"
}

Definitions

See Definitions

qospolicygroup_1.0_adaptive

Adaptive QoS policy settings. Defines a variable SLO that adjusts based on the space usage of the associated storage object. Policies are always enforced individually per storage object.

Name Type Required Description

absoluteMinIops

integer

False

Absolute minimum IOPS, used as an override when expected IOPS is less than this value. Not guaranteed on non-AFF platforms or when FabricPool tiering policies are set.

blockSize

string

False

Specifies the block size. Defined values are:

  • "ANY" - Any block size.

  • "4K"

  • "8K"

  • "16K"

  • "32K"

  • "64K"

  • "128K"

expectedIops

integer

False

Expected IOPS per TB allocated, based on the storage object allocated size. Not guaranteed on non-AFF platforms or when FabricPool tiering policies are set.

expectedIopsAllocation

string

False

Specifies the space used to calculate expected IOPS per TB. Defined values are:

  • "ALLOCATED_SPACE" - IOPS based on allocated space.

  • "USED_SPACE" - IOPS based on used space.

peakIops

integer

False

Maximum possible IOPS per TB allocated, based on the storage object allocated size or used size.

peakIopsAllocation

string

False

Specifies the space used to calculate peak IOPS per TB. Defined values are:

  • "ALLOCATED_SPACE" - IOPS based on allocated space.

  • "USED_SPACE" - IOPS based on used space.

cluster_1.0_reference

Reference to an ONTAP cluster.

Name Type Required Description

id

string

False

Identifier of the cluster.

name

string

False

Cluster name.

qospolicygroup_1.0_fixed

Fixed QoS policy settings. Defines a static SLO for associated storage objects.

Name Type Required Description

capacityShared

boolean

False

Specifies whether the capacities are shared across all objects that use this QoS policy-group.

maxThroughputIops

integer

False

Maximum throughput in IOPS. 0 means no maximum IOPS is enforced.

maxThroughputMbps

integer

False

Maximum throughput in MB/s. 0 means no maximum throughput is enforced.

minThroughputIops

integer

False

Minimum throughput in IOPS. 0 means no minimum IOPS is enforced. Not guaranteed on non-AFF platforms or when FabricPool tiering policies are set.

minThroughputMbps

integer

False

Minimum throughput in MB/s. 0 means no minimum throughput is enforced. Not guaranteed on non-AFF platforms or when FabricPool tiering policies are set.

common_1.0_inventory_metadata

Metadata associated with the resource.

Name Type Required Description

modificationTimestamp

string

False

Resource modification date.

svm_1.0_reference

Reference to an ONTAP SVM.

Name Type Required Description

id

string

False

Identifier of the SVM.

name

string

False

SVM name.

qospolicygroup_1.0_get_response_body

Name Type Required Description

adaptive

qospolicygroup_1.0_adaptive

False

Adaptive QoS policy settings. Defines a variable SLO that adjusts based on the space usage of the associated storage object. Policies are always enforced individually per storage object.

cluster

cluster_1.0_reference

False

Reference to an ONTAP cluster.

  • x-tag: Cluster

fixed

qospolicygroup_1.0_fixed

False

Fixed QoS policy settings. Defines a static SLO for associated storage objects.

id

string

False

Identifier of the QoS policy group.

metadata

common_1.0_inventory_metadata

False

Metadata associated with the resource.

name

string

False

Name of the QoS policy group.

objectCount

integer

False

Number of storage objects attached to this policy.

organizationId

string

False

Identifier for an organization.

policyType

string

False

Type of QoS policy. Defined values are:

  • "FIXED" - A fixed SLO that does not vary with storage object size.

  • "ADAPTIVE" - A variable SLO that adjusts based on the space usage of the storage object.

svm

svm_1.0_reference

False

Reference to an ONTAP SVM.

  • x-tag: SVM

type

string

False

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.qospolicygroup"

version

string

False

Version of the resource. Defined values are:

  • "1.0"

workingEnvironmentId

string

False

Identifier for the asset's system.

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.